List datasets within namespace
curl --request GET \
--url https://api.datalinks.com/api/v1/schema/{user}/{namespace}/datasets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.datalinks.com/api/v1/schema/{user}/{namespace}/datasets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datalinks.com/api/v1/schema/{user}/{namespace}/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "<string>",
"namespace": "<string>",
"owner": "<string>",
"visibility": "Public",
"nameWithNamespace": "<string>",
"user": "<string>"
}
]{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}schema
List datasets within namespace
Retrieve datasets within a specific namespace for a user. Use ‘self’ for the current user.
GET
/
schema
/
{user}
/
{namespace}
/
datasets
List datasets within namespace
Authorizations
bearerAuthopenId
Use a Bearer token for authentication. Submit the token using the Authorization
header: Authorization: Bearer <token>.
Path Parameters
Username or 'self' for the current user.
Namespace for the dataset.
Response
Returns a list of datasets accessible to the user.
Name of the dataset.
Name of the namespace the dataset belongs to.
The username associated with the data.
Indicates whether the data is public or private.
Available options:
Public, Private The name concatenated with the namespace.
The username associated with the data.